* {
    margin: 0;
    padding: 0;
}
body{
    background-image: url(/img/2fondo.png);
    background-repeat: no-repeat;
    background-size: cover;
    
   

}
#encabezado{
   text-align: center;
   color:  rgb(238, 232, 232);;

}
#contenedor {
    background-color: rgb(199, 223, 68);
    margin: 10px;
    padding: 20px;
    border-radius: 25px;

 }
 button{
    background-color: white;
    color: rgb(7, 7, 7);
    margin: 10px;
    border-radius: 30px;
    padding: 10px 15px;
    cursor: pointer;
 }
 button:hover{
    letter-spacing: 3px;
  
   color: #131212f5;
   box-shadow: #dcc818 0px 7px 29px 0px;
   cursor: pointer;
 }
 input{
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 14px;
 }
 
.card{
   
   box-shadow: 0 4px 8px 0 black;
   overflow: hidden;
   max-width: 600px;
   margin: 10px;
   text-align: center;
   border: 2px solid;
   border-radius: 10px;
   background-color:rgba(247, 244, 244, 0.897); ;
   color: #050505;
 }

 button{

   padding: 15px 30px;
   border-radius: 45px;
   border: 0;
   background-color: rgba(255, 255, 255, 0.897);
   box-shadow: #0000000d 0 0 8px;
   letter-spacing: 1.5px;
   text-transform: uppercase;
   font-size: 15px;
   transition: all .5s ease;
 }
 button:hover{
   letter-spacing: 3px;
   background-color: #5d18dc;
   color: #fffffff5;
   box-shadow: #5d18dc 0px 7px 29px 0px;
   cursor: pointer;
 }
 
 .btn{
  width: 150px;
  border-radius: 5px;
  border: none;
  transition: all 0.5s ease-in-out;
  font-size: 20px;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-weight: 600;
  display: flex;
  align-items: center;
  
 }
 .btn .icon{
   position: absolute;
   height: 40px;
   width: 78px;
   display: block;
   justify-content: center;
   align-items: center;
   transition: all 0.5s;
 }
 .btn .text{
   transform: translateX(50px);
 }
 .btn:hover .icon{
   width: 150px;
   
 }
 .btn:hover .text{
   transition: all 0.5s;
   opacity: 0;
 }
 .btn:focus{
   outline: none;
 }
 .btn:active .icon{
   transform: scale(9999.85s);
   cursor: text;
 }
 .linea{
   width: 80%;
   height: 1px;
   background-color: #f5f1f1;
   margin: 20px auto;
 }
 .madimi-one-regular {
   font-family: "Madimi One", sans-serif;
   font-weight: 400;
   font-style: normal;
 }
 .flex{
   display: flex;
   flex-direction: row;
   flex-wrap: wrap;
   justify-content:center;
}
.links  a{
   text-decoration: none;
   color: black;
   display: block;
   padding: 15px;
}
.links{
   background: #f5f1f1;
   max-width: 120%;
   display: none;
   position: absolute;
   top: 40%;
   top: calc(15%);
   left: 1%;
   align-items: center;
}
.menu label{
   display: none;
   
   
}
#menu:checked  ~ .navbar{
   display: initial;
}


.btn:hover+.links,
.links a:hover{
   background-color: white;
   
   
}
.despegable:hover .links{
   display: block;
}
 

 

 